> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reverse an authorization hold

> Reverses (cancels) a previously created authorization hold




## OpenAPI

````yaml transaction post /v3/authorization-holds/authorizations/{authorizationTransactionId}/reverse
openapi: 3.0.3
info:
  description: |
    Endpoints for managing transaction data
  version: '1'
  title: Transaction details API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transaction
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/transaction
    description: Live environment
security: []
tags:
  - name: Create transactions
    description: >-
      <p>Endpoints for creating transactions</p><h2>Generic Fee Reimbursement
      transaction types</h2><p>For this case reimbursement is not linked to
      specific charged fee and amount of reimbursement should be provided.
      Generic reimbursement transaction types can be used to reimburse one or
      several fees.</p><p>There is a possibility to create reimbursement on
      account or on card level.</p><p>To create reimbursement on account level
      please POST transaction to given account with &quot;AR&quot; as type
      parameter.</p><p>To create reimbursement on card level please POST
      transaction to given card with &quot;RR&quot; as type parameter.</p><p>On
      account level there also supported interest reimbursement transactions
      with “IR” and “OR” types.</p>
  - name: Create fees
    description: <p>Endpoints for creating fees</p>
  - name: Get transaction data
    description: Endpoints for fetching transaction data
  - name: Update a transaction
    description: >-
      <p>Endpoint for updating a transaction.</p><p>This service enables refund
      of transactions including fees.</p><h2>Reversal of previously posted
      transaction</h2><p>This use case allows to link reimbursement with
      previously posted transaction, including fees.</p><p>To create this type
      of refund please use POST &quot;Update a Transaction&quot; endpoint and as
      &quot;id&quot; parameter please provide id of the transaction which should
      be reversed, and in &quot;propertyToUpdate&quot; please provide
      &quot;REVERSE&quot; value. Id can be found with &quot;Get
      transaction&quot; endpoints under &quot;id&quot; parameter of
      transaction.</p>
  - name: Batch payment
    description: |
      Batch file for payments.
      ### File name standard
      `payment_{institution_id}_yyyymmdd_hhmmss.json`
      ### File structure
      <SchemaDefinition schemaRef="#/components/schemas/BatchPayments" />
      ### Response file
  - name: Authorization Holds
    description: Endpoints for creating, reversing and clearing of authorization holds
paths:
  /v3/authorization-holds/authorizations/{authorizationTransactionId}/reverse:
    post:
      tags:
        - Authorization Holds
      summary: Reverse an authorization hold
      description: |
        Reverses (cancels) a previously created authorization hold
      operationId: postAuthorizationHoldReversalUsingPOST
      parameters:
        - name: authorizationTransactionId
          in: path
          description: The ID of the authorization hold to reverse
          required: true
          schema:
            type: string
            format: biginteger
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Authorization hold reversed successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/reverseAuthorizationHoldResponse'
        '401':
          $ref: '#/components/responses/error401'
        '403':
          $ref: '#/components/responses/error403'
        '404':
          description: Authorization hold not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '500':
          $ref: '#/components/responses/error500'
components:
  schemas:
    reverseAuthorizationHoldResponse:
      type: object
      properties:
        authorizationReversalTransactionId:
          type: string
          format: biginteger
          description: Transaction Id of generated authorization reversal
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
  responses:
    error401:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error403:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    error500:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'

````